Rotate webhook secret
POST
/api/v1/projects/{projectId}/webhooks/{webhookId}/rotate-secret
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
webhookId
string
required
path
Responses
200
New secret
application/jsondata
object
secret
string
curl -X POST 'https://api.rogeriq.com/api/v1/projects/string/webhooks/string/rotate-secret' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/webhooks/string/rotate-secret', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.rogeriq.com/api/v1/projects/string/webhooks/string/rotate-secret', headers=headers)print(response.json())
200
Response
{ "data": { "secret": "<string>" }}
API Playground
Try this endpoint
POST
/api/v1/projects/{projectId}/webhooks/{webhookId}/rotate-secret